Status (Tomcat API Documentation)
Keywords: org.apache.tomcat.jni.Status class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Class Status

    java.lang.Object
      org.apache.tomcat.jni.Status

    public class Status

extends java.lang.Object

Status

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Mladen Turk

Field Summary
`static int` | `APR_ANONYMOUS`
`static int` | `APR_BADARG`
`static int` | `APR_BADCH`
`static int` | `APR_CHILD_DONE`
`static int` | `APR_CHILD_NOTDONE`
`static int` | `APR_DETACH`
`static int` | `APR_EABOVEROOT`
`static int` | `APR_EABSOLUTE`
`static int` | `APR_EBADDATE`
`static int` | `APR_EBADIP`
`static int` | `APR_EBADMASK`
`static int` | `APR_EBADPATH`
`static int` | `APR_EBUSY`
`static int` | `APR_EDSOOPEN`
`static int` | `APR_EGENERAL`
`static int` | `APR_EINCOMPLETE`
`static int` | `APR_EINIT`
`static int` | `APR_EINVALSOCK`
`static int` | `APR_EMISMATCH`
`static int` | `APR_ENODIR`
`static int` | `APR_ENOLOCK`
`static int` | `APR_ENOPOLL`
`static int` | `APR_ENOPOOL`
`static int` | `APR_ENOPROC`
`static int` | `APR_ENOSHMAVAIL`
`static int` | `APR_ENOSOCKET`
`static int` | `APR_ENOSTAT` APR Error Values APR ERROR VALUES APR_ENOSTAT APR was unable to perform a stat on the file APR_ENOPOOL APR was not provided a pool with which to allocate memory APR_EBADDATE APR was given an invalid date APR_EINVALSOCK APR was given an invalid socket APR_ENOPROC APR was not given a process structure APR_ENOTIME APR was not given a time structure APR_ENODIR APR was not given a directory structure APR_ENOLOCK APR was not given a lock structure APR_ENOPOLL APR was not given a poll structure APR_ENOSOCKET APR was not given a socket APR_ENOTHREAD APR was not given a thread structure APR_ENOTHDKEY APR was not given a thread key structure APR_ENOSHMAVAIL There is no more shared memory available APR_EDSOOPEN APR was unable to open the dso object.
`static int` | `APR_ENOTENOUGHENTROPY`
`static int` | `APR_ENOTHDKEY`
`static int` | `APR_ENOTHREAD`
`static int` | `APR_ENOTIME`
`static int` | `APR_ENOTIMPL`
`static int` | `APR_EOF`
`static int` | `APR_EPATHWILD`
`static int` | `APR_EPROC_UNKNOWN`
`static int` | `APR_ERELATIVE`
`static int` | `APR_ESYMNOTFOUND`
`static int` | `APR_FILEBASED`
`static int` | `APR_INCHILD` APR Status Values APR STATUS VALUES APR_INCHILD Program is currently executing in the child APR_INPARENT Program is currently executing in the parent APR_DETACH The thread is detached APR_NOTDETACH The thread is not detached APR_CHILD_DONE The child has finished executing APR_CHILD_NOTDONE The child has not finished executing APR_TIMEUP The operation did not finish before the timeout APR_INCOMPLETE The operation was incomplete although some processing was performed and the results are partially valid APR_BADCH Getopt found an option not in the option string APR_BADARG Getopt found an option that is missing an argument and an argument was specified in the option string APR_EOF APR has encountered the end of the file APR_NOTFOUND APR was unable to find the socket in the poll structure APR_ANONYMOUS APR is using anonymous shared memory APR_FILEBASED APR is using a file name as the key to the shared memory APR_KEYBASED APR is using a shared key as the key to the shared memory APR_EINIT Ininitalizer value.
`static int` | `APR_INCOMPLETE`
`static int` | `APR_INPARENT`
`static int` | `APR_KEYBASED`
`static int` | `APR_NOTDETACH`
`static int` | `APR_NOTFOUND`
`static int` | `APR_OS_ERRSPACE_SIZE` APR_OS_ERRSPACE_SIZE is the maximum number of errors you can fit into one of the error/status ranges below -- except for APR_OS_START_USERERR, which see.
`static int` | `APR_OS_START_CANONERR` APR_OS_START_CANONERR is where APR versions of errno values are defined on systems which don't have the corresponding errno.
`static int` | `APR_OS_START_EAIERR` APR_OS_START_EAIERR folds EAI_ error codes from getaddrinfo() into apr_status_t values.
`static int` | `APR_OS_START_ERROR` APR_OS_START_ERROR is where the APR specific error values start.
`static int` | `APR_OS_START_STATUS` APR_OS_START_STATUS is where the APR specific status codes start.
`static int` | `APR_OS_START_SYSERR` APR_OS_START_SYSERR folds platform-specific system error values into apr_status_t values.
`static int` | `APR_OS_START_USEERR` APR_OS_START_USEERR is obsolete, defined for compatibility only.
`static int` | `APR_OS_START_USERERR` APR_OS_START_USERERR are reserved for applications that use APR that layer their own error codes along with APR's.
`static int` | `APR_SUCCESS` no error.
`static int` | `APR_TIMEUP`
`static int` | `EAGAIN`
`static int` | `EINPROGRESS`
`static int` | `EINTR`
`static int` | `ETIMEDOUT`
`static int` | `TIMEUP`

Constructor Summary
`Status()`

Method Summary
`static boolean` | `APR_STATUS_IS_ANONYMOUS(int s)`
`static boolean` | `APR_STATUS_IS_BADARG(int s)`
`static boolean` | `APR_STATUS_IS_BADCH(int s)`
`static boolean` | `APR_STATUS_IS_CHILD_DONE(int s)`
`static boolean` | `APR_STATUS_IS_CHILD_NOTDONE(int s)`
`static boolean` | `APR_STATUS_IS_DETACH(int s)`
`static boolean` | `APR_STATUS_IS_EABOVEROOT(int s)`
`static boolean` | `APR_STATUS_IS_EABSOLUTE(int s)`
`static boolean` | `APR_STATUS_IS_EAGAIN(int s)`
`static boolean` | `APR_STATUS_IS_EBADDATE(int s)`
`static boolean` | `APR_STATUS_IS_EBADIP(int s)`
`static boolean` | `APR_STATUS_IS_EBADMASK(int s)`
`static boolean` | `APR_STATUS_IS_EBADPATH(int s)`
`static boolean` | `APR_STATUS_IS_EBUSY(int s)`
`static boolean` | `APR_STATUS_IS_ECONNABORTED(int s)`
`static boolean` | `APR_STATUS_IS_ECONNRESET(int s)`
`static boolean` | `APR_STATUS_IS_EDSOPEN(int s)`
`static boolean` | `APR_STATUS_IS_EGENERAL(int s)`
`static boolean` | `APR_STATUS_IS_EINCOMPLETE(int s)`
`static boolean` | `APR_STATUS_IS_EINIT(int s)`
`static boolean` | `APR_STATUS_IS_EINPROGRESS(int s)`
`static boolean` | `APR_STATUS_IS_EINTR(int s)`
`static boolean` | `APR_STATUS_IS_EINVAL(int s)`
`static boolean` | `APR_STATUS_IS_EINVALSOCK(int s)`
`static boolean` | `APR_STATUS_IS_EMISMATCH(int s)`
`static boolean` | `APR_STATUS_IS_ENODIR(int s)`
`static boolean` | `APR_STATUS_IS_ENOLOCK(int s)`
`static boolean` | `APR_STATUS_IS_ENOPOLL(int s)`
`static boolean` | `APR_STATUS_IS_ENOPOOL(int s)`
`static boolean` | `APR_STATUS_IS_ENOPROC(int s)`
`static boolean` | `APR_STATUS_IS_ENOSHMAVAIL(int s)`
`static boolean` | `APR_STATUS_IS_ENOSOCKET(int s)`
`static boolean` | `APR_STATUS_IS_ENOSTAT(int s)` APR_STATUS_IS Status Value Tests Warning : For any particular error condition, more than one of these tests may match.
`static boolean` | `APR_STATUS_IS_ENOTENOUGHENTROPY(int s)`
`static boolean` | `APR_STATUS_IS_ENOTHDKEY(int s)`
`static boolean` | `APR_STATUS_IS_ENOTHREAD(int s)`
`static boolean` | `APR_STATUS_IS_ENOTIME(int s)`
`static boolean` | `APR_STATUS_IS_ENOTIMPL(int s)`
`static boolean` | `APR_STATUS_IS_ENOTSOCK(int s)`
`static boolean` | `APR_STATUS_IS_EOF(int s)`
`static boolean` | `APR_STATUS_IS_EPATHWILD(int s)`
`static boolean` | `APR_STATUS_IS_EPROC_UNKNOWN(int s)`
`static boolean` | `APR_STATUS_IS_ERELATIVE(int s)`
`static boolean` | `APR_STATUS_IS_ESYMNOTFOUND(int s)`
`static boolean` | `APR_STATUS_IS_ETIMEDOUT(int s)`
`static boolean` | `APR_STATUS_IS_FILEBASED(int s)`
`static boolean` | `APR_STATUS_IS_INCHILD(int s)`
`static boolean` | `APR_STATUS_IS_INCOMPLETE(int s)`
`static boolean` | `APR_STATUS_IS_INPARENT(int s)`
`static boolean` | `APR_STATUS_IS_KEYBASED(int s)`
`static boolean` | `APR_STATUS_IS_NOTDETACH(int s)`
`static boolean` | `APR_STATUS_IS_NOTFOUND(int s)`
`static boolean` | `APR_STATUS_IS_TIMEUP(int s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APR_OS_START_ERROR

    public static final int APR_OS_START_ERROR

  APR_OS_START_ERROR is where the APR specific error values start.

  See Also:
    Constant Field Values

### APR_OS_ERRSPACE_SIZE

    public static final int APR_OS_ERRSPACE_SIZE

  APR_OS_ERRSPACE_SIZE is the maximum number of errors you can fit into one of the error/status ranges below -- except for APR_OS_START_USERERR, which see.

  See Also:
    Constant Field Values

### APR_OS_START_STATUS

    public static final int APR_OS_START_STATUS

  APR_OS_START_STATUS is where the APR specific status codes start.

  See Also:
    Constant Field Values

### APR_OS_START_USERERR

    public static final int APR_OS_START_USERERR

  APR_OS_START_USERERR are reserved for applications that use APR that layer their own error codes along with APR's. Note that the error immediately following this one is set ten times farther away than usual, so that users of apr have a lot of room in which to declare custom error codes.

  See Also:
    Constant Field Values

### APR_OS_START_USEERR

    public static final int APR_OS_START_USEERR

  APR_OS_START_USEERR is obsolete, defined for compatibility only. Use APR_OS_START_USERERR instead.

  See Also:
    Constant Field Values

### APR_OS_START_CANONERR

    public static final int APR_OS_START_CANONERR

  APR_OS_START_CANONERR is where APR versions of errno values are defined on systems which don't have the corresponding errno.

  See Also:
    Constant Field Values

### APR_OS_START_EAIERR

    public static final int APR_OS_START_EAIERR

  APR_OS_START_EAIERR folds EAI_ error codes from getaddrinfo() into apr_status_t values.

  See Also:
    Constant Field Values

### APR_OS_START_SYSERR

    public static final int APR_OS_START_SYSERR

  APR_OS_START_SYSERR folds platform-specific system error values into apr_status_t values.

  See Also:
    Constant Field Values

### APR_SUCCESS

    public static final int APR_SUCCESS

  no error.

  See Also:
    Constant Field Values

### APR_ENOSTAT

    public static final int APR_ENOSTAT

  APR Error Values

       APR ERROR VALUES
       APR_ENOSTAT      APR was unable to perform a stat on the file
       APR_ENOPOOL      APR was not provided a pool with which to allocate memory
       APR_EBADDATE     APR was given an invalid date
       APR_EINVALSOCK   APR was given an invalid socket
       APR_ENOPROC      APR was not given a process structure
       APR_ENOTIME      APR was not given a time structure
       APR_ENODIR       APR was not given a directory structure
       APR_ENOLOCK      APR was not given a lock structure
       APR_ENOPOLL      APR was not given a poll structure
       APR_ENOSOCKET    APR was not given a socket
       APR_ENOTHREAD    APR was not given a thread structure
       APR_ENOTHDKEY    APR was not given a thread key structure
       APR_ENOSHMAVAIL  There is no more shared memory available
       APR_EDSOOPEN     APR was unable to open the dso object.  For more
                        information call apr_dso_error().
       APR_EGENERAL     General failure (specific information not available)
       APR_EBADIP       The specified IP address is invalid
       APR_EBADMASK     The specified netmask is invalid
       APR_ESYMNOTFOUND Could not find the requested symbol

  See Also:
    Constant Field Values

### APR_ENOPOOL

    public static final int APR_ENOPOOL

See Also:
  Constant Field Values

### APR_EBADDATE

    public static final int APR_EBADDATE

See Also:
  Constant Field Values

### APR_EINVALSOCK

    public static final int APR_EINVALSOCK

See Also:
  Constant Field Values

### APR_ENOPROC

    public static final int APR_ENOPROC

See Also:
  Constant Field Values

### APR_ENOTIME

    public static final int APR_ENOTIME

See Also:
  Constant Field Values

### APR_ENODIR

    public static final int APR_ENODIR

See Also:
  Constant Field Values

### APR_ENOLOCK

    public static final int APR_ENOLOCK

See Also:
  Constant Field Values

### APR_ENOPOLL

    public static final int APR_ENOPOLL

See Also:
  Constant Field Values

### APR_ENOSOCKET

    public static final int APR_ENOSOCKET

See Also:
  Constant Field Values

### APR_ENOTHREAD

    public static final int APR_ENOTHREAD

See Also:
  Constant Field Values

### APR_ENOTHDKEY

    public static final int APR_ENOTHDKEY

See Also:
  Constant Field Values

### APR_EGENERAL

    public static final int APR_EGENERAL

See Also:
  Constant Field Values

### APR_ENOSHMAVAIL

    public static final int APR_ENOSHMAVAIL

See Also:
  Constant Field Values

### APR_EBADIP

    public static final int APR_EBADIP

See Also:
  Constant Field Values

### APR_EBADMASK

    public static final int APR_EBADMASK

See Also:
  Constant Field Values

### APR_EDSOOPEN

    public static final int APR_EDSOOPEN

See Also:
  Constant Field Values

### APR_EABSOLUTE

    public static final int APR_EABSOLUTE

See Also:
  Constant Field Values

### APR_ERELATIVE

    public static final int APR_ERELATIVE

See Also:
  Constant Field Values

### APR_EINCOMPLETE

    public static final int APR_EINCOMPLETE

See Also:
  Constant Field Values

### APR_EABOVEROOT

    public static final int APR_EABOVEROOT

See Also:
  Constant Field Values

### APR_EBADPATH

    public static final int APR_EBADPATH

See Also:
  Constant Field Values

### APR_EPATHWILD

    public static final int APR_EPATHWILD

See Also:
  Constant Field Values

### APR_ESYMNOTFOUND

    public static final int APR_ESYMNOTFOUND

See Also:
  Constant Field Values

### APR_EPROC_UNKNOWN

    public static final int APR_EPROC_UNKNOWN

See Also:
  Constant Field Values

### APR_ENOTENOUGHENTROPY

    public static final int APR_ENOTENOUGHENTROPY

See Also:
  Constant Field Values

### APR_INCHILD

    public static final int APR_INCHILD

  APR Status Values

       APR STATUS VALUES
       APR_INCHILD        Program is currently executing in the child
       APR_INPARENT       Program is currently executing in the parent
       APR_DETACH         The thread is detached
       APR_NOTDETACH      The thread is not detached
       APR_CHILD_DONE     The child has finished executing
       APR_CHILD_NOTDONE  The child has not finished executing
       APR_TIMEUP         The operation did not finish before the timeout
       APR_INCOMPLETE     The operation was incomplete although some processing
                          was performed and the results are partially valid
       APR_BADCH          Getopt found an option not in the option string
       APR_BADARG         Getopt found an option that is missing an argument
                          and an argument was specified in the option string
       APR_EOF            APR has encountered the end of the file
       APR_NOTFOUND       APR was unable to find the socket in the poll structure
       APR_ANONYMOUS      APR is using anonymous shared memory
       APR_FILEBASED      APR is using a file name as the key to the shared memory
       APR_KEYBASED       APR is using a shared key as the key to the shared memory
       APR_EINIT          Ininitalizer value.  If no option has been found, but
                          the status variable requires a value, this should be used
       APR_ENOTIMPL       The APR function has not been implemented on this
                          platform, either because nobody has gotten to it yet,
                          or the function is impossible on this platform.
       APR_EMISMATCH      Two passwords do not match.
       APR_EBUSY          The given lock was busy.

  See Also:
    Constant Field Values

### APR_INPARENT

    public static final int APR_INPARENT

See Also:
  Constant Field Values

### APR_DETACH

    public static final int APR_DETACH

See Also:
  Constant Field Values

### APR_NOTDETACH

    public static final int APR_NOTDETACH

See Also:
  Constant Field Values

### APR_CHILD_DONE

    public static final int APR_CHILD_DONE

See Also:
  Constant Field Values

### APR_CHILD_NOTDONE

    public static final int APR_CHILD_NOTDONE

See Also:
  Constant Field Values

### APR_TIMEUP

    public static final int APR_TIMEUP

See Also:
  Constant Field Values

### APR_INCOMPLETE

    public static final int APR_INCOMPLETE

See Also:
  Constant Field Values

### APR_BADCH

    public static final int APR_BADCH

See Also:
  Constant Field Values

### APR_BADARG

    public static final int APR_BADARG

See Also:
  Constant Field Values

### APR_EOF

    public static final int APR_EOF

See Also:
  Constant Field Values

### APR_NOTFOUND

    public static final int APR_NOTFOUND

See Also:
  Constant Field Values

### APR_ANONYMOUS

    public static final int APR_ANONYMOUS

See Also:
  Constant Field Values

### APR_FILEBASED

    public static final int APR_FILEBASED

See Also:
  Constant Field Values

### APR_KEYBASED

    public static final int APR_KEYBASED

See Also:
  Constant Field Values

### APR_EINIT

    public static final int APR_EINIT

See Also:
  Constant Field Values

### APR_ENOTIMPL

    public static final int APR_ENOTIMPL

See Also:
  Constant Field Values

### APR_EMISMATCH

    public static final int APR_EMISMATCH

See Also:
  Constant Field Values

### APR_EBUSY

    public static final int APR_EBUSY

See Also:
  Constant Field Values

### TIMEUP

    public static final int TIMEUP

See Also:
  Constant Field Values

### EAGAIN

    public static final int EAGAIN

See Also:
  Constant Field Values

### EINTR

    public static final int EINTR

See Also:
  Constant Field Values

### EINPROGRESS

    public static final int EINPROGRESS

See Also:
  Constant Field Values

### ETIMEDOUT

    public static final int ETIMEDOUT

See Also:
  Constant Field Values

Constructor Detail

### Status

    public Status()

Method Detail

### APR_STATUS_IS_ENOSTAT

    public static final boolean APR_STATUS_IS_ENOSTAT(int s)

  APR_STATUS_IS Status Value Tests
  Warning : For any particular error condition, more than one of these tests may match. This is because platform-specific error codes may not always match the semantics of the POSIX codes these tests (and the corresponding APR error codes) are named after. A notable example are the APR_STATUS_IS_ENOENT and APR_STATUS_IS_ENOTDIR tests on Win32 platforms. The programmer should always be aware of this and adjust the order of the tests accordingly.

### APR_STATUS_IS_ENOPOOL

    public static final boolean APR_STATUS_IS_ENOPOOL(int s)

### APR_STATUS_IS_EBADDATE

    public static final boolean APR_STATUS_IS_EBADDATE(int s)

### APR_STATUS_IS_EINVALSOCK

    public static final boolean APR_STATUS_IS_EINVALSOCK(int s)

### APR_STATUS_IS_ENOPROC

    public static final boolean APR_STATUS_IS_ENOPROC(int s)

### APR_STATUS_IS_ENOTIME

    public static final boolean APR_STATUS_IS_ENOTIME(int s)

### APR_STATUS_IS_ENODIR

    public static final boolean APR_STATUS_IS_ENODIR(int s)

### APR_STATUS_IS_ENOLOCK

    public static final boolean APR_STATUS_IS_ENOLOCK(int s)

### APR_STATUS_IS_ENOPOLL

    public static final boolean APR_STATUS_IS_ENOPOLL(int s)

### APR_STATUS_IS_ENOSOCKET

    public static final boolean APR_STATUS_IS_ENOSOCKET(int s)

### APR_STATUS_IS_ENOTHREAD

    public static final boolean APR_STATUS_IS_ENOTHREAD(int s)

### APR_STATUS_IS_ENOTHDKEY

    public static final boolean APR_STATUS_IS_ENOTHDKEY(int s)

### APR_STATUS_IS_EGENERAL

    public static final boolean APR_STATUS_IS_EGENERAL(int s)

### APR_STATUS_IS_ENOSHMAVAIL

    public static final boolean APR_STATUS_IS_ENOSHMAVAIL(int s)

### APR_STATUS_IS_EBADIP

    public static final boolean APR_STATUS_IS_EBADIP(int s)

### APR_STATUS_IS_EBADMASK

    public static final boolean APR_STATUS_IS_EBADMASK(int s)

### APR_STATUS_IS_EDSOPEN

    public static final boolean APR_STATUS_IS_EDSOPEN(int s)

### APR_STATUS_IS_EABSOLUTE

    public static final boolean APR_STATUS_IS_EABSOLUTE(int s)

### APR_STATUS_IS_ERELATIVE

    public static final boolean APR_STATUS_IS_ERELATIVE(int s)

### APR_STATUS_IS_EINCOMPLETE

    public static final boolean APR_STATUS_IS_EINCOMPLETE(int s)

### APR_STATUS_IS_EABOVEROOT

    public static final boolean APR_STATUS_IS_EABOVEROOT(int s)

### APR_STATUS_IS_EBADPATH

    public static final boolean APR_STATUS_IS_EBADPATH(int s)

### APR_STATUS_IS_EPATHWILD

    public static final boolean APR_STATUS_IS_EPATHWILD(int s)

### APR_STATUS_IS_ESYMNOTFOUND

    public static final boolean APR_STATUS_IS_ESYMNOTFOUND(int s)

### APR_STATUS_IS_EPROC_UNKNOWN

    public static final boolean APR_STATUS_IS_EPROC_UNKNOWN(int s)

### APR_STATUS_IS_ENOTENOUGHENTROPY

    public static final boolean APR_STATUS_IS_ENOTENOUGHENTROPY(int s)

### APR_STATUS_IS_INCHILD

    public static final boolean APR_STATUS_IS_INCHILD(int s)

### APR_STATUS_IS_INPARENT

    public static final boolean APR_STATUS_IS_INPARENT(int s)

### APR_STATUS_IS_DETACH

    public static final boolean APR_STATUS_IS_DETACH(int s)

### APR_STATUS_IS_NOTDETACH

    public static final boolean APR_STATUS_IS_NOTDETACH(int s)

### APR_STATUS_IS_CHILD_DONE

    public static final boolean APR_STATUS_IS_CHILD_DONE(int s)

### APR_STATUS_IS_CHILD_NOTDONE

    public static final boolean APR_STATUS_IS_CHILD_NOTDONE(int s)

### APR_STATUS_IS_TIMEUP

    public static final boolean APR_STATUS_IS_TIMEUP(int s)

### APR_STATUS_IS_INCOMPLETE

    public static final boolean APR_STATUS_IS_INCOMPLETE(int s)

### APR_STATUS_IS_BADCH

    public static final boolean APR_STATUS_IS_BADCH(int s)

### APR_STATUS_IS_BADARG

    public static final boolean APR_STATUS_IS_BADARG(int s)

### APR_STATUS_IS_EOF

    public static final boolean APR_STATUS_IS_EOF(int s)

### APR_STATUS_IS_NOTFOUND

    public static final boolean APR_STATUS_IS_NOTFOUND(int s)

### APR_STATUS_IS_ANONYMOUS

    public static final boolean APR_STATUS_IS_ANONYMOUS(int s)

### APR_STATUS_IS_FILEBASED

    public static final boolean APR_STATUS_IS_FILEBASED(int s)

### APR_STATUS_IS_KEYBASED

    public static final boolean APR_STATUS_IS_KEYBASED(int s)

### APR_STATUS_IS_EINIT

    public static final boolean APR_STATUS_IS_EINIT(int s)

### APR_STATUS_IS_ENOTIMPL

    public static final boolean APR_STATUS_IS_ENOTIMPL(int s)

### APR_STATUS_IS_EMISMATCH

    public static final boolean APR_STATUS_IS_EMISMATCH(int s)

### APR_STATUS_IS_EBUSY

    public static final boolean APR_STATUS_IS_EBUSY(int s)

### APR_STATUS_IS_EAGAIN

    public static final boolean APR_STATUS_IS_EAGAIN(int s)

### APR_STATUS_IS_ETIMEDOUT

    public static final boolean APR_STATUS_IS_ETIMEDOUT(int s)

### APR_STATUS_IS_ECONNABORTED

    public static final boolean APR_STATUS_IS_ECONNABORTED(int s)

### APR_STATUS_IS_ECONNRESET

    public static final boolean APR_STATUS_IS_ECONNRESET(int s)

### APR_STATUS_IS_EINPROGRESS

    public static final boolean APR_STATUS_IS_EINPROGRESS(int s)

### APR_STATUS_IS_EINTR

    public static final boolean APR_STATUS_IS_EINTR(int s)

### APR_STATUS_IS_ENOTSOCK

    public static final boolean APR_STATUS_IS_ENOTSOCK(int s)

### APR_STATUS_IS_EINVAL

    public static final boolean APR_STATUS_IS_EINVAL(int s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.